Create Portfolio
curl --request POST \
--url https://api.coinbase.com/api/v3/brokerage/portfolios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.coinbase.com/api/v3/brokerage/portfolios"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.coinbase.com/api/v3/brokerage/portfolios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"portfolio": {
"name": "<string>",
"uuid": "<string>",
"type": "UNDEFINED",
"deleted": true
}
}{
"error": "<string>",
"code": 123,
"message": "<string>",
"details": [
{
"type_url": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Portfolios
Create Portfolio
Create a portfolio.
POST
/
api
/
v3
/
brokerage
/
portfolios
Create Portfolio
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.
Body
application/json
The name of the portfolio.
Response
A successful response.
Portfolio is the identifying information for a portfolio.
Show child attributes
Show child attributes
Was this page helpful?
⌘I